Get agent
curl --request GET \
--url https://api.meetecho.ai/v1/agents/{agentId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.meetecho.ai/v1/agents/{agentId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.meetecho.ai/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ddb8be3b-a426-4122-b877-a0cba363c89d",
"business_id": "97bfa642-d2cb-46d5-8de8-6d3553c83007",
"name": "Appointment Reminder",
"system_prompt": "You are {{agent_name}}, a friendly appointment reminder assistant for {{business_name}}. You are calling {{recipient_first_name}} to remind them about their upcoming appointment on {{appointment_date}} at {{appointment_time}}. Confirm they can make it, or collect details to reschedule.",
"output_schema": {
"type": "object",
"required": [
"confirmed",
"rescheduling"
],
"properties": {
"confirmed": {
"type": "boolean"
},
"rescheduling": {
"type": "boolean"
},
"preferred_date": {
"type": "string"
},
"preferred_time": {
"type": "string"
}
}
},
"status": "active",
"created_at": "2026-03-18T17:43:46.714Z",
"updated_at": "2026-03-18T17:43:46.714Z"
}Agents
Get Agent
GET
/
agents
/
{agentId}
Get agent
Authorizations
Echo API key — format: echo_<64 hex chars>. Returned once on signup.
Path Parameters
Response
Agent object
Example:
"ddb8be3b-a426-4122-b877-a0cba363c89d"
Example:
"97bfa642-d2cb-46d5-8de8-6d3553c83007"
Example:
"Appointment Reminder"
Example:
"You are {{agent_name}}, a friendly appointment reminder assistant for {{business_name}}. You are calling {{recipient_first_name}} to remind them about their upcoming appointment on {{appointment_date}} at {{appointment_time}}. Confirm they can make it, or collect details to reschedule."
Example:
{
"type": "object",
"required": ["confirmed", "rescheduling"],
"properties": {
"confirmed": { "type": "boolean" },
"rescheduling": { "type": "boolean" },
"preferred_date": { "type": "string" },
"preferred_time": { "type": "string" }
}
}
Available options:
active, disabled Example:
"active"
Example:
"2026-03-18T17:43:46.714Z"
Example:
"2026-03-18T17:43:46.714Z"
⌘I